org.keycloak.representations.idm

## Class GroupRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.GroupRepresentation

-     public class GroupRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,List<String>>` | `attributes`
    `protected Map<String,List<String>>` | `clientRoles`
    `protected String` | `id`
    `protected String` | `name`
    `protected String` | `path`
    `protected List<String>` | `realmRoles`
    `protected List<GroupRepresentation>` | `subGroups`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Boolean>` | `getAccess()`
    `Map<String,List<String>>` | `getAttributes()`
    `Map<String,List<String>>` | `getClientRoles()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getPath()`
    `List<String>` | `getRealmRoles()`
    `List<GroupRepresentation>` | `getSubGroups()`
    `void` | `setAccess(Map<String,Boolean> access)`
    `void` | `setAttributes(Map<String,List<String>> attributes)`
    `void` | `setClientRoles(Map<String,List<String>> clientRoles)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setPath(String path)`
    `void` | `setRealmRoles(List<String> realmRoles)`
    `void` | `setSubGroups(List<GroupRepresentation> subGroups)`
    `GroupRepresentation` | `singleAttribute(String name, String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### name

          protected String name

    - #### path

          protected String path

    - #### attributes

          protected Map<String,List<String>> attributes

    - #### realmRoles

          protected List<String> realmRoles

    - #### clientRoles

          protected Map<String,List<String>> clientRoles

    - #### subGroups

          protected List<GroupRepresentation> subGroups

  - ### Constructor Detail

    - #### GroupRepresentation

          public GroupRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getPath

          public String getPath()

    - #### setPath

          public void setPath(String path)

    - #### getRealmRoles

          public List<String> getRealmRoles()

    - #### setRealmRoles

          public void setRealmRoles(List<String> realmRoles)

    - #### getClientRoles

          public Map<String,List<String>> getClientRoles()

    - #### setClientRoles

          public void setClientRoles(Map<String,List<String>> clientRoles)

    - #### getAttributes

          public Map<String,List<String>> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,List<String>> attributes)

    - #### singleAttribute

          public GroupRepresentation singleAttribute(String name,
                                                     String value)

    - #### getSubGroups

          public List<GroupRepresentation> getSubGroups()

    - #### setSubGroups

          public void setSubGroups(List<GroupRepresentation> subGroups)

    - #### getAccess

          public Map<String,Boolean> getAccess()

    - #### setAccess

          public void setAccess(Map<String,Boolean> access)

Copyright © 2020 JBoss by Red Hat. All rights reserved.